Card Shipments
Get shipment
https://api.firstleeward.com/v0/card-shipments/:idUnified card shipments API. Ship one card or up to 200 cards in a single draft-first shipment.
Authorizations
Authorizationstring · headerrequiredAPI key as Bearer token, e.g. Bearer YOUR_API_KEY
Headers
Leeward-Versionenum<string>requiredAPI version (YYYY-MM-DD). Available option: 2026-09-18
Path Parameters
idstring<uuid>requiredResponse
200Card shipment with member cards
idstring<uuid>requiredUnique shipment identifier
statusstringrequiredShipment lifecycle status
DRAFTPLACEDIN_PRODUCTIONREADY_TO_SHIPIN_TRANSITOUT_FOR_DELIVERYDELIVEREDDELIVERY_FAILEDEXCEPTIONCANCELEDdestinationAddressobjectrequiredShipping address
Show child attributes
line1stringrequiredStreet address line 1
line2string | nullrequiredStreet address line 2
zonestring | nullrequiredState, province, or zone
citystringrequiredCity
postalCodestringrequiredPostal code
countrystringrequiredISO 3166-1 alpha-2 country code
recipientobjectrequiredRecipient details
Show child attributes
firstNamestringrequiredRecipient first name
lastNamestringrequiredRecipient last name
phoneNumberstringrequiredRecipient phone number
dialCodeintegerrequiredPhone dial code
emailstring<email>requiredRecipient email address
courierobjectrequiredCourier on the shipment
Show child attributes
Option 1 · Postal
typestringrequiredOption 2 · Courier
typestringrequirednamestringrequiredCourier name. May be manufacturer-assigned after submit.
DHLFEDEXSFEXPRESStrackingNumberstring | nullrequiredCourier tracking number
trackingUrlstring | nullrequiredCourier tracking URL
cutoffDatestring | nullrequiredISO 8601 cutoff date returned by the manufacturer
createdAtstringrequiredISO 8601 creation timestamp
updatedAtstringrequiredISO 8601 last update timestamp
submittedAtstring | nullrequiredISO 8601 timestamp when submitted to the manufacturer
deliveredAtstring | nullrequiredISO 8601 timestamp when all cards were delivered
cardsobject[]requiredCards included in this shipment
Show child attributes
idstring<uuid>requiredUnique shipment member identifier
cardIdstring<uuid>requiredID of the card being shipped
cardDesignIdstringrequiredCard design identifier
shippingAddressobjectrequiredShipping address
Show child attributes
line1stringrequiredStreet address line 1
line2string | nullrequiredStreet address line 2
zonestring | nullrequiredState, province, or zone
citystringrequiredCity
postalCodestringrequiredPostal code
countrystringrequiredISO 3166-1 alpha-2 country code
productionStatusstringrequiredPer-card production status
PENDINGREQUESTEDIN_PRODUCTIONCOMPLETEDACTIVATEDCANCELEDON_HOLDBULK_SHIP_REJECTEDrejectedAtstring | nullrequiredISO 8601 timestamp when this card was rejected and excluded from the shipment, or null if the card was accepted
createdAtstringrequiredISO 8601 creation timestamp
updatedAtstringrequiredISO 8601 last update timestamp
404Card shipment not found
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired